package com.psg.dlsysinfo.dl_sysinfo_server.dto;

import java.time.LocalDateTime;

public class DeviceDTO {
    private Long deviceId;
    private String hostname;
    private LocalDateTime lastCheckedIn;

    private Long clientId;
    private String clientIdentifier;
    private String clientName;

    // Getters and setters
    public Long getDeviceId() { return deviceId; }
    public void setDeviceId(Long deviceId) { this.deviceId = deviceId; }

    public String getHostname() { return hostname; }
    public void setHostname(String hostname) { this.hostname = hostname; }

    public LocalDateTime getLastCheckedIn() { return lastCheckedIn; }
    public void setLastCheckedIn(LocalDateTime lastCheckedIn) { this.lastCheckedIn = lastCheckedIn; }

    public Long getClientId() { return clientId; }
    public void setClientId(Long clientId) { this.clientId = clientId; }

    public String getClientIdentifier() { return clientIdentifier; }
    public void setClientIdentifier(String clientIdentifier) { this.clientIdentifier = clientIdentifier; }

    public String getClientName() { return clientName; }
    public void setClientName(String clientName) { this.clientName = clientName; }
}
